%define anolis_release 5
Name: 		perl-Module-Refresh
Version: 	0.18
Release: 	%{anolis_release}%{?dist}
Summary: 	Refresh %INC files when updated on disk
License: 	GPL-1.0-or-later OR Artistic-1.0-Perl
URL: 		https://metacpan.org/release/Module-Refresh
Source0: 	https://cpan.metacpan.org/modules/by-module/Module/Module-Refresh-%{version}.tar.gz

BuildRequires:  make

BuildRequires:	perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)

# Tests:
BuildRequires:	perl(File::Temp) >= 0.19
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(Test::More)

BuildRequires:  perl(inc::Module::Install)

BuildArch: 	noarch

%description
This module is a generalization of the functionality provided by 
Apache::StatINC. It's designed to make it easy to do simple iterative
development when working in a persistent environment.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Module-Refresh-%{version}
rm -r inc

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
%{__make} test

%files
%{perl_vendorlib}/Module
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.18-5
- Import package for anolis 23
